Package io.prestosql.jdbc

## Class PrestoDriver

- java.lang.Object
- - io.prestosql.jdbc.PrestoDriver

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`, `java.sql.Driver`

Direct Known Subclasses:
  `PrestoDriver`

    public class PrestoDriver
    extends java.lang.Object
    implements java.sql.Driver, java.io.Closeable

### Constructor Summary

Constructors
`PrestoDriver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `acceptsURL​(java.lang.String url)`
`void` `close()`
`java.sql.Connection` `connect​(java.lang.String url, java.util.Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`java.util.logging.Logger` `getParentLogger()`
`java.sql.DriverPropertyInfo[]` `getPropertyInfo​(java.lang.String url, java.util.Properties info)`
`boolean` `jdbcCompliant()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrestoDriver

    public PrestoDriver()

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`

#### connect

    public java.sql.Connection connect​(java.lang.String url,
                                       java.util.Properties info)
                                throws java.sql.SQLException

Specified by:
  `connect` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

#### acceptsURL

    public boolean acceptsURL​(java.lang.String url)
                       throws java.sql.SQLException

Specified by:
  `acceptsURL` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

#### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo​(java.lang.String url,
                                                         java.util.Properties info)
                                                  throws java.sql.SQLException

Specified by:
  `getPropertyInfo` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `java.sql.Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `java.sql.Driver`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `java.sql.Driver`

#### getParentLogger

    public java.util.logging.Logger getParentLogger()
                                             throws java.sql.SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLFeatureNotSupportedException`